"""
Handle the CLI requests.
"""
import sys
import os
from cli.parser import parser

def handle(options, args):
    """
    Handle most of the CLI requests.
    --help and --version are handled by cli.parser.parser.
    """
    if options.action == 'info':
        show_info()
        sys.exit(0)

    elif options.action == 'license':
        show_license()
        sys.exit(0)

    elif options.action == 'solve':

        if len(args) != 1:
            sys.stdout.write(parser.get_usage())
            sys.exit(2)
    
        from solver.handlers import load_goal, solve

        if load_goal(args[0]):
            solve()

        else:
            sys.exit(2)

def show_info():
    """Print an ASCII art of Soma's cube pieces"""
    f = open('data' + os.sep + 'info.txt')
    sys.stdout.write(f.read())

def show_license():
    """Print program's license"""
    f = open('data' + os.sep + 'license.txt')
    sys.stdout.write(f.read())
    
    
