"""
Somabot application level config.
"""

class Config():

    # GENERAL
    version = 0.8
    gui_libs_loaded = False

    # 3D option
    visual_loaded = False
    pieces_color = [
        (1, 0, 0),
        (0, 1, 0),
        (0, 0, 1),
        (1, 1, 0),
        (0, 1, 1),
        (1, 0, 1),
        (1, 1, 1)
        ]
    pieces_opacity = 0.9
    goal_color = []

    # RUNTIME OPTIONS

    # Default user options, used when no value is passed in CLI

    # Action of this program
    # Possible values :
    # solve         : solve the given shape
    # info          : show informations about this program and exit
    # license       : show informations about this program and exit
    # This value will be used by default
    action = 'solve'

    # Solution output
    # Possible values :
    # - visual        : 3d rendering (requires Visual Python).
    # - coordinates   : print pieces coordinates.
    # - has           : just tell if a solution exists.
    # This value will be used by default
    print_solution = 'has'

    verbose = True

    # Used in GUI
    visual = True
    
