"""Pieces' pickle generator"""
try:
    import cPickle as pickle
except:
    import pickle
import sys
import os
from conf import Config
from solver.classes import *

def generate():
    """
    Create the seven pieces objects, then save them to a pickle file.
    Should be called in IDLE running somabot.py
    """
    pieces = []
    # 3D rendering config
    colors = Config.pieces_color
    opacity = Config.pieces_opacity
    pieces_files_names = ['v_tricube.csv', 'l_tetracube.csv', 't_tetracube.csv',
                          'z_tetracube.csv', 'a_tetracube.csv',
                          'b_tetracube.csv', 'p_tetracube.csv']
    pieces_dir = 'data' + os.sep + 'pieces' + os.sep + 'csv' + os.sep
    i = 0
    
    for entry in os.listdir(pieces_dir):
        
        if not os.path.isdir(entry) and entry in pieces_files_names:
            # Piece construction
            pieces.append(ShapesFactory('piece', pieces_dir + entry))
            entry = entry.replace('_', ' ')
            entry = entry.replace('.csv', '')
            entry = entry.capitalize()
            pieces[i].name = entry
            pieces[i].color = colors[i]
            # Piece possible positions search
            i += 1
            
    f_out = open('data' + os.sep + 'pieces' + os.sep + 'pieces', 'wb')
    pickle.dump(pieces, f_out)
    return pieces
