"""Exceptions that may occur when loading the goal"""
class CubesCountException(Exception):

    def __init__(self, cnt):
        self.cnt = cnt

    def __str__(self):
        msg = 'A shape can not have %i cube(s).\n' % self.cnt
        return msg


class CSVShapeFileFormatException(Exception):

    def __str__(self):
        return 'Couldn\'t parse given CSV file.\n'

class CoordinateValueException(Exception):

    def __init__(self, c):
        self.c = c

    def __str__(self):
        msg = "Each coordinate's value must be between 0 and 9. \
Found (%i, %i, %i).\n"  % (self.c[0], self.c[1], self.c[2])
        return msg
