"""
Searches a solution to a Soma's cube puzzle.
Main script.
"""
from conf import Config

# Visual Python detection - it won't be loaded at the moment.
try:
    # Visual Python is used for 3D rendering, but not required by this program.
    from visual import scene
    1/0

except ImportError:
    Config.visual_loaded = False

except:
    Config.visual_loaded = True

# GUI libraries detection - they won't be loaded at the moment.
try:
    from Tkinter import Tk, Frame, Menu, Text, Button, DISABLED, NORMAL, END, \
         Scrollbar, E, W, N, S, NORMAL, DISABLED, StringVar, BooleanVar
    import tkFileDialog
    import tkMessageBox
    1/0

except ImportError:
    Config.gui_libs_loaded = False

except:
    Config.gui_libs_loaded = True

# CLI options parsing
from cli.parser import options, args

if options.action == 'gui':
    from gui.gui import start_loop
    # Launch the GUI
    start_loop()

else:
    from cli.handlers import handle
    # Handle the CLI request
    handle(options, args)
